Subject: Re: ClickToFocus + "Application Window" Key Bindings = Confusion

From: Bob Woodside <[email-masked]>
Date: Fri, 19 Feb 1999 10:40:52 -0500

Larry Gensch <[email-masked]> sez:
>
> Key F4          W       M       Close
>
>      ...
>
> 1.  Hit mouse button two to open a link in a new window.
> 2.  Notice that the new window has the keyboard focus:  PageDown
>     will scroll down the page; PageUp will scroll up.  Cursor
>     keys also work.
> 3.  Hit Meta-F4 (Key binding for Close) -- notice that nothing
>     happens.
> 4.  Click the mouse somewhere in that new window (which ALREADY
>     has the focus).
> 5.  Now press Meta-F4.  Window closes.

	Hmmm...confusion, for sure. I just tried this with a (more-or-less)
2.1.13 FVWM and Netscape 4.0.8 under Solaris 2.6, and my script diverges
from yours at Step 3: mine goes like this:

  3. Hit Meta-F4 (Key binding for Close) -- window closes. Script ends.

I'll try it at home this weekend under Linux and see whether I get any
different results.

> One of the following should happen:
>
> 1.  ClickToFocus should either ignore new windows unless I click on
>     them.  This means that ClickToFocus will only focus on windows
>     after you click on them.  (ClickToFocusRequiresClick?)
> 
>    ...
>

	There was some discussion a little over a year ago about this (check
the archives around Novermber, 1997, for a subject something like
"Wandering Scope"). After 2.2, with the GSFR ® in place, I think we
should add a "StricklyClicky" style. It really needs to be a style,
though, rather than global, because there are some app windows you just
naturally want go get focus as soon as they open; with others, it's just
a royal PIA.

- Bob
--
Visit the official FVWM web page at <URL:http://fvwm.math.uh.edu/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Bob Woodside <[email-masked]>
Date: Fri, 19 Feb 1999 22:02:34 -0500 (EST)

> I'll try it at home this weekend under Linux and see whether I get any

	As I suspected, I get the same result under Linux: the binding
works - first time, every time.

	I think we need to see your whole .fvwm2rc, to see what other
settings might be interacting unhealthily with the binding.

- Bob